PLOT3-PLOT3
1
BRL-CAD
BRL-CAD

# plot3-plot3

convert an extended to a simple UnixPlot file

      plot3-plot3
        -v
        -S
        <
        unix_plot
        >
        unix_plot

## DESCRIPTION

UnixPlot is a simple machine and device independent plotting file format found on both System V and BSD Unix systems. BRL has extended that format to include color, three dimensional plotting, machine independent floating point coordinates, and a flush command for interactive output.

Plot3-plot3 converts an extended UnixPlot file to the simpler format for use by older, and non-extended, programs. It drops color and flush commands, strips the Z coordinate of 3D commands, and converts floating point coordinates to integer. By default to integer conversion is done by simple truncation. If the `-S` option is given, the "space" command in the plot file is used to center and scale the plot to the full 16 bit signed integer plotting space (-32767 to +32767). This is particularly useful for converting floating point files. The `-v` verbose option causes each plot command to be described as it is being converted.

## DIAGNOSTICS

A warning message is given if the input plot file did not contain a space command since most older UnixPlot programs require them.

## SEE ALSO

plot 1, plot3rot 1, plot3-fb 1, plot3debug 1, libplot3 3, plot3 5

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1988-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.